#!/bin/bash
#################################################
# pack tool
###################################
RED=$(tput setaf 1)
GREEN=$(tput setaf 2)
YELLOW=$(tput setaf 3)
NORMAL=$(tput sgr0)
STEP=1
function printError() {
	printf '%s%s\n' "$RED" "$1" "$NORMAL"
}
function printStep() {
	printf '%s%s\n' "$GREEN" "$STEP -- $1" "$NORMAL"
	((STEP++))
}
function printInfo() {
	printf '%s%s\n' "$NORMAL" "$1" "$NORMAL"
}
function printSuccess() {
	printf '%s%s\n' "$GREEN" "$1" "$NORMAL"
}
function printWarn() {
	printf '%s%s\n' "$YELLOW" "$1" "$NORMAL"
}
ZIP_NAME="baichuan-v1.1.zip"
if [ ! -f "./CommitInfo.txt" ]; then
	printError "请在包含百川发包内容的目录下执行此脚本"
	exit 1
fi
CMD="zip -r $ZIP_NAME *"
if ! eval "$CMD" >/dev/null 2>&1; then
	printError "打包失败"
	exit 1
fi
if [ ! -d "dist" ]; then
	mkdir dist | exit 1
fi
mv $ZIP_NAME dist
printSuccess "打包文件已生成：dist/$ZIP_NAME"
